> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usersuserdevices

> Retrieves a List of UserDevices for the user identified by the given userId. The requesting User must have **one of** the following rights to perform this task: **Rights** **Required** **AuthRuleType.MANAGE_SYSTEM** CONDITIONAL **AuthRuleType.MANAGE_OWN_PHONE_SETTINGS** CONDITIONAL **AuthRuleType.MANAGE_ANOTHERS_PHONE_SETTINGS** CONDITIONAL

The requesting User must have **one of** the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /users/userdevices/{userId}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/userdevices/{userId}:
    get:
      tags:
        - UserService
      description: >-
        Retrieves a List of UserDevices for the user identified by the given
        userId. The requesting User must have **one of** the following rights to
        perform this task: **Rights** **Required**
        **AuthRuleType.MANAGE_SYSTEM** CONDITIONAL
        **AuthRuleType.MANAGE_OWN_PHONE_SETTINGS** CONDITIONAL
        **AuthRuleType.MANAGE_ANOTHERS_PHONE_SETTINGS** CONDITIONAL


        The requesting User must have **one of** the following rights to perform
        this task:
      operationId: getAllUserDevices
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: This operation returns a list of UserDevices .
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    devices:
                      - comments: ...
                        deviceParams:
                          - sysidUserDeviceParam: 12345
                            sysidSwitchDeviceUser: 12345
                            value: ...
                          - sysidUserDeviceParam: 12345
                            sysidSwitchDeviceUser: 12345
                            value: ...
                        sysidUserDevice: 12345
                        sysidSwitchDevice: 12345
                        sysidUser: 12345
                      - comments: ...
                        deviceParams:
                          - sysidUserDeviceParam: 12345
                            sysidSwitchDeviceUser: 12345
                            value: ...
                          - sysidUserDeviceParam: 12345
                            sysidSwitchDeviceUser: 12345
                            value: ...
                        sysidUserDevice: 12345
                        sysidSwitchDevice: 12345
                        sysidUser: 12345
              schema:
                $ref: '#/components/schemas/UserDevicesWrapper'
          description: >-
            UserDevicesWrapper

            returnType 
            com.agilquest.phoenix.shared.data.rest.wrapper.UserDevicesWrapper
components:
  schemas:
    UserDevicesWrapper:
      type: object
      title: UserDevicesWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            devices:
              type: array
              items:
                $ref: '#/components/schemas/UserDeviceData'
      example:
        devices:
          - comments: ...
            deviceParams:
              - sysidUserDeviceParam: 12345
                sysidSwitchDeviceUser: 12345
                value: ...
              - sysidUserDeviceParam: 12345
                sysidSwitchDeviceUser: 12345
                value: ...
            sysidUserDevice: 12345
            sysidSwitchDevice: 12345
            sysidUser: 12345
          - comments: ...
            deviceParams:
              - sysidUserDeviceParam: 12345
                sysidSwitchDeviceUser: 12345
                value: ...
              - sysidUserDeviceParam: 12345
                sysidSwitchDeviceUser: 12345
                value: ...
            sysidUserDevice: 12345
            sysidSwitchDevice: 12345
            sysidUser: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserDeviceData:
      type: object
      title: UserDeviceData
      required:
        - sysidSwitchDevice
        - sysidUser
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            comments:
              type: string
            deviceParams:
              type: array
              items:
                $ref: '#/components/schemas/UserDeviceParam'
            sysidUserDevice:
              type: integer
              format: int32
            sysidSwitchDevice:
              type: integer
              format: int32
            sysidUser:
              type: integer
              format: int32
      example:
        comments: ...
        deviceParams:
          - sysidUserDeviceParam: 12345
            sysidSwitchDeviceUser: 12345
            value: ...
          - sysidUserDeviceParam: 12345
            sysidSwitchDeviceUser: 12345
            value: ...
        sysidUserDevice: 12345
        sysidSwitchDevice: 12345
        sysidUser: 12345
    UserDeviceParam:
      type: object
      title: UserDeviceParam
      required:
        - sysidSwitchDeviceUser
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserDeviceParam:
              type: integer
              format: int32
            sysidSwitchDeviceUser:
              type: integer
              format: int32
            value:
              type: string
      example:
        sysidUserDeviceParam: 12345
        sysidSwitchDeviceUser: 12345
        value: ...

````